<html>
<head>
<title>Ogre::GpuSharedParameters Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GpuSharedParameters.html">GpuSharedParameters</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GpuSharedParameters Class Reference<div class="ingroups"><a class="el" href="group__Materials.html">Materials</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GpuSharedParameters" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>A group of manually updated parameters that are shared between many parameter sets.  
 <a href="classOgre_1_1GpuSharedParameters.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GpuSharedParameters:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GpuSharedParameters__inherit__graph.gif" border="0" usemap="#Ogre_1_1GpuSharedParameters_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GpuSharedParameters_inherit__map" id="Ogre_1_1GpuSharedParameters_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="40,5,160,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GpuSharedParameters-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a0d0b2668f52743cc1e949cedb97abefc">GpuSharedParameters</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a09b0026f12f8bd997f88c7627991a56d">~GpuSharedParameters</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a88f9ebfeb6334f40c51fa52ebb0a7108">getName</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this shared parameter set.  <a href="#a88f9ebfeb6334f40c51fa52ebb0a7108"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#ab76a3c158f6e5386831b2e6dcce3478f">addConstantDefinition</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> constType, size_t arraySize=1)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a new constant definition to this shared set of parameters.  <a href="#ab76a3c158f6e5386831b2e6dcce3478f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#adaffa8b7ce948ab8474b7745ce29504f">removeConstantDefinition</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a constant definition from this shared set of parameters.  <a href="#adaffa8b7ce948ab8474b7745ce29504f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a7af37940ab818c310227918e61fe1134">removeAllConstantDefinitions</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a constant definition from this shared set of parameters.  <a href="#a7af37940ab818c310227918e61fe1134"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#aacbfae3d67623c421dca9367c3fc03f6">getVersion</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the version number of this shared parameter set, can be used to identify when changes have occurred.  <a href="#aacbfae3d67623c421dca9367c3fc03f6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#aa53d15b0327750087e989b29b1d64946">_markDirty</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Mark the shared set as being dirty (values modified).  <a href="#aa53d15b0327750087e989b29b1d64946"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#ae7520af27097b238f964f221aee7ef42">getFrameLastUpdated</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the frame in which this shared parameter set was last updated.  <a href="#ae7520af27097b238f964f221aee7ef42"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Materials.html#gaff7bf5891ea6cfed80f4e50edc5d3695">GpuConstantDefinitionIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#abfdc261fa27bfc478b182075c7663051">getConstantDefinitionIterator</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets an iterator over the named <a class="el" href="structOgre_1_1GpuConstantDefinition.html" title="Information about predefined program constants.">GpuConstantDefinition</a> instances as defined by the user.  <a href="#abfdc261fa27bfc478b182075c7663051"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="structOgre_1_1GpuConstantDefinition.html">GpuConstantDefinition</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#aa7aa5d0358c5f651a313178654bc8a0c">getConstantDefinition</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a specific <a class="el" href="structOgre_1_1GpuConstantDefinition.html" title="Information about predefined program constants.">GpuConstantDefinition</a> for a named parameter.  <a href="#aa7aa5d0358c5f651a313178654bc8a0c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="structOgre_1_1GpuNamedConstants.html">GpuNamedConstants</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a86e35dd2892e2e1726d44f653a726e44">getConstantDefinitions</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the full list of <a class="el" href="structOgre_1_1GpuConstantDefinition.html" title="Information about predefined program constants.">GpuConstantDefinition</a> instances.  <a href="#a86e35dd2892e2e1726d44f653a726e44"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#ab74ba6dc445146e3207a3b3910f43ef6">setNamedConstant</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#ad879a04f00ecc9196d19cd9ff38f66f2">setNamedConstant</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, int val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a6f0dd794c7a3618f59e4a86bd8ee03d5">setNamedConstant</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;vec)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#ab36766c25247163e7f57d515dbec44f3">setNamedConstant</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vec)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#ac912b1953576dd4b34e1019019952738">setNamedConstant</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;m)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a6be98a104e13cbd4c9c550ee88cac6de">setNamedConstant</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *m, size_t numEntries)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#ac60bc2d912c0610ff23d03fc53341d0c">setNamedConstant</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const float *val, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a1d338e448331ece06b476fa1dec4be2a">setNamedConstant</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const double *val, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#af0f9f6c486e5cf67d966f996e99272b5">setNamedConstant</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;colour)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#aa738d63d8a5fdbe3095a73d1824e4497">setNamedConstant</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const int *val, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#ab20c2b00ad00db39d0fa7a77e8f2a9e1">getFloatPointer</a> (size_t pos)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a pointer to the 'nth' item in the float buffer.  <a href="#ab20c2b00ad00db39d0fa7a77e8f2a9e1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a55411651a3687b1a12d7e7f73a265b49">getFloatPointer</a> (size_t pos) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a pointer to the 'nth' item in the float buffer.  <a href="#a55411651a3687b1a12d7e7f73a265b49"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a595714fc035ae70cce7921f1e5c660dd">getIntPointer</a> (size_t pos)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a pointer to the 'nth' item in the int buffer.  <a href="#a595714fc035ae70cce7921f1e5c660dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#ab9aa0ab7c22760baa32e55f5ec3f95c2">getIntPointer</a> (size_t pos) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a pointer to the 'nth' item in the int buffer.  <a href="#ab9aa0ab7c22760baa32e55f5ec3f95c2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a1b843357d12b51eed174e33cd33cff6c">_setRenderSystemData</a> (const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;data) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method that the <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> might use to store optional data.  <a href="#a1b843357d12b51eed174e33cd33cff6c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a751ee544894656f54520f412658ddabb">_getRenderSystemData</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method that the <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> might use to store optional data.  <a href="#a751ee544894656f54520f412658ddabb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GpuNamedConstants.html">GpuNamedConstants</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#ae0cd5d95c8643d306350446e54161b33">mNamedConstants</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Materials.html#ga85c9b7d7f5d35f36d118af514f18ab5b">FloatConstantList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a510028acc4c823fbe7c8397939bef87a">mFloatConstants</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Materials.html#ga0f6f75258759920f3879eb1b4b590121">IntConstantList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a3fcb26e0fc6664618c47dc92a98fef77">mIntConstants</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#abccf7c5e7a2702a882dd35c1d918e11d">mName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Any.html">Any</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#ac33a1826531ee727e734d152f8152bc0">mRenderSystemData</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a3deb79943262d127bcf12803a6f69fa3">mFrameLastUpdated</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Not used when copying data, but might be useful to RS using shared buffers.  <a href="#a3deb79943262d127bcf12803a6f69fa3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuSharedParameters.html#aa3a4b6b228183e7d3db358cecb784ed4">mVersion</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Version number of the definitions in this buffer.  <a href="#aa3a4b6b228183e7d3db358cecb784ed4"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A group of manually updated parameters that are shared between many parameter sets. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Sometimes you want to set some common parameters across many otherwise different parameter sets, and keep them all in sync together. This class allows you to define a set of parameters that you can share across many parameter sets and have the parameters that match automatically be pulled from the shared set, rather than you having to set them on all the parameter sets individually. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Parameters in a shared set are matched up with instances in a <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> structure by matching names. It is up to you to define the named parameters that a shared set contains, and ensuring the definition matches. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>Shared parameter sets can be named, and looked up using the <a class="el" href="classOgre_1_1GpuProgramManager.html">GpuProgramManager</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00395">395</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0d0b2668f52743cc1e949cedb97abefc"></a><!-- doxytag: member="Ogre::GpuSharedParameters::GpuSharedParameters" ref="a0d0b2668f52743cc1e949cedb97abefc" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuSharedParameters.html#a0d0b2668f52743cc1e949cedb97abefc">Ogre::GpuSharedParameters::GpuSharedParameters</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a09b0026f12f8bd997f88c7627991a56d"></a><!-- doxytag: member="Ogre::GpuSharedParameters::~GpuSharedParameters" ref="a09b0026f12f8bd997f88c7627991a56d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GpuSharedParameters.html#a09b0026f12f8bd997f88c7627991a56d">Ogre::GpuSharedParameters::~GpuSharedParameters</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a751ee544894656f54520f412658ddabb"></a><!-- doxytag: member="Ogre::GpuSharedParameters::_getRenderSystemData" ref="a751ee544894656f54520f412658ddabb" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Any.html">Any</a>&amp; <a class="el" href="classOgre_1_1GpuSharedParameters.html#a751ee544894656f54520f412658ddabb">Ogre::GpuSharedParameters::_getRenderSystemData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method that the <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> might use to store optional data. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00497">497</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa53d15b0327750087e989b29b1d64946"></a><!-- doxytag: member="Ogre::GpuSharedParameters::_markDirty" ref="aa53d15b0327750087e989b29b1d64946" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#aa53d15b0327750087e989b29b1d64946">Ogre::GpuSharedParameters::_markDirty</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Mark the shared set as being dirty (values modified). </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You do not need to call this yourself, set is marked as dirty whenever setNamedConstant or (non const) getFloatPointer et al are called. </dd></dl>

</div>
</div>
<a class="anchor" id="a1b843357d12b51eed174e33cd33cff6c"></a><!-- doxytag: member="Ogre::GpuSharedParameters::_setRenderSystemData" ref="a1b843357d12b51eed174e33cd33cff6c" args="(const Any &amp;data) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#a1b843357d12b51eed174e33cd33cff6c">Ogre::GpuSharedParameters::_setRenderSystemData</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method that the <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> might use to store optional data. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00495">495</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab76a3c158f6e5386831b2e6dcce3478f"></a><!-- doxytag: member="Ogre::GpuSharedParameters::addConstantDefinition" ref="ab76a3c158f6e5386831b2e6dcce3478f" args="(const String &amp;name, GpuConstantType constType, size_t arraySize=1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#ab76a3c158f6e5386831b2e6dcce3478f">Ogre::GpuSharedParameters::addConstantDefinition</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td>
          <td class="paramname"><em>constType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>arraySize</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a new constant definition to this shared set of parameters. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Unlike <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a>, where the parameter list is defined by the program being compiled, this shared parameter set is defined by the user. Only parameters which have been predefined here may be later updated. </dd></dl>

</div>
</div>
<a class="anchor" id="aa7aa5d0358c5f651a313178654bc8a0c"></a><!-- doxytag: member="Ogre::GpuSharedParameters::getConstantDefinition" ref="aa7aa5d0358c5f651a313178654bc8a0c" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="structOgre_1_1GpuConstantDefinition.html">GpuConstantDefinition</a>&amp; <a class="el" href="classOgre_1_1GpuSharedParameters.html#aa7aa5d0358c5f651a313178654bc8a0c">Ogre::GpuSharedParameters::getConstantDefinition</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a specific <a class="el" href="structOgre_1_1GpuConstantDefinition.html" title="Information about predefined program constants.">GpuConstantDefinition</a> for a named parameter. </p>

</div>
</div>
<a class="anchor" id="abfdc261fa27bfc478b182075c7663051"></a><!-- doxytag: member="Ogre::GpuSharedParameters::getConstantDefinitionIterator" ref="abfdc261fa27bfc478b182075c7663051" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Materials.html#gaff7bf5891ea6cfed80f4e50edc5d3695">GpuConstantDefinitionIterator</a> <a class="el" href="classOgre_1_1GpuSharedParameters.html#abfdc261fa27bfc478b182075c7663051">Ogre::GpuSharedParameters::getConstantDefinitionIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets an iterator over the named <a class="el" href="structOgre_1_1GpuConstantDefinition.html" title="Information about predefined program constants.">GpuConstantDefinition</a> instances as defined by the user. </p>

</div>
</div>
<a class="anchor" id="a86e35dd2892e2e1726d44f653a726e44"></a><!-- doxytag: member="Ogre::GpuSharedParameters::getConstantDefinitions" ref="a86e35dd2892e2e1726d44f653a726e44" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="structOgre_1_1GpuNamedConstants.html">GpuNamedConstants</a>&amp; <a class="el" href="classOgre_1_1GpuSharedParameters.html#a86e35dd2892e2e1726d44f653a726e44">Ogre::GpuSharedParameters::getConstantDefinitions</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the full list of <a class="el" href="structOgre_1_1GpuConstantDefinition.html" title="Information about predefined program constants.">GpuConstantDefinition</a> instances. </p>

</div>
</div>
<a class="anchor" id="ab20c2b00ad00db39d0fa7a77e8f2a9e1"></a><!-- doxytag: member="Ogre::GpuSharedParameters::getFloatPointer" ref="ab20c2b00ad00db39d0fa7a77e8f2a9e1" args="(size_t pos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float* <a class="el" href="classOgre_1_1GpuSharedParameters.html#ab20c2b00ad00db39d0fa7a77e8f2a9e1">Ogre::GpuSharedParameters::getFloatPointer</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a pointer to the 'nth' item in the float buffer. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00485">485</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a55411651a3687b1a12d7e7f73a265b49"></a><!-- doxytag: member="Ogre::GpuSharedParameters::getFloatPointer" ref="a55411651a3687b1a12d7e7f73a265b49" args="(size_t pos) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float* <a class="el" href="classOgre_1_1GpuSharedParameters.html#ab20c2b00ad00db39d0fa7a77e8f2a9e1">Ogre::GpuSharedParameters::getFloatPointer</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a pointer to the 'nth' item in the float buffer. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00487">487</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae7520af27097b238f964f221aee7ef42"></a><!-- doxytag: member="Ogre::GpuSharedParameters::getFrameLastUpdated" ref="ae7520af27097b238f964f221aee7ef42" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GpuSharedParameters.html#ae7520af27097b238f964f221aee7ef42">Ogre::GpuSharedParameters::getFrameLastUpdated</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the frame in which this shared parameter set was last updated. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00448">448</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595714fc035ae70cce7921f1e5c660dd"></a><!-- doxytag: member="Ogre::GpuSharedParameters::getIntPointer" ref="a595714fc035ae70cce7921f1e5c660dd" args="(size_t pos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* <a class="el" href="classOgre_1_1GpuSharedParameters.html#a595714fc035ae70cce7921f1e5c660dd">Ogre::GpuSharedParameters::getIntPointer</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a pointer to the 'nth' item in the int buffer. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00489">489</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab9aa0ab7c22760baa32e55f5ec3f95c2"></a><!-- doxytag: member="Ogre::GpuSharedParameters::getIntPointer" ref="ab9aa0ab7c22760baa32e55f5ec3f95c2" args="(size_t pos) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int* <a class="el" href="classOgre_1_1GpuSharedParameters.html#a595714fc035ae70cce7921f1e5c660dd">Ogre::GpuSharedParameters::getIntPointer</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a pointer to the 'nth' item in the int buffer. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00491">491</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a88f9ebfeb6334f40c51fa52ebb0a7108"></a><!-- doxytag: member="Ogre::GpuSharedParameters::getName" ref="a88f9ebfeb6334f40c51fa52ebb0a7108" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1GpuSharedParameters.html#a88f9ebfeb6334f40c51fa52ebb0a7108">Ogre::GpuSharedParameters::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this shared parameter set. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00417">417</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="aacbfae3d67623c421dca9367c3fc03f6"></a><!-- doxytag: member="Ogre::GpuSharedParameters::getVersion" ref="aacbfae3d67623c421dca9367c3fc03f6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1GpuSharedParameters.html#aacbfae3d67623c421dca9367c3fc03f6">Ogre::GpuSharedParameters::getVersion</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the version number of this shared parameter set, can be used to identify when changes have occurred. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00439">439</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::GpuSharedParameters::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::GpuSharedParameters::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::GpuSharedParameters::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::GpuSharedParameters::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::GpuSharedParameters::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::GpuSharedParameters::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::GpuSharedParameters::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::GpuSharedParameters::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::GpuSharedParameters::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::GpuSharedParameters::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7af37940ab818c310227918e61fe1134"></a><!-- doxytag: member="Ogre::GpuSharedParameters::removeAllConstantDefinitions" ref="a7af37940ab818c310227918e61fe1134" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#a7af37940ab818c310227918e61fe1134">Ogre::GpuSharedParameters::removeAllConstantDefinitions</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a constant definition from this shared set of parameters. </p>

</div>
</div>
<a class="anchor" id="adaffa8b7ce948ab8474b7745ce29504f"></a><!-- doxytag: member="Ogre::GpuSharedParameters::removeConstantDefinition" ref="adaffa8b7ce948ab8474b7745ce29504f" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#adaffa8b7ce948ab8474b7745ce29504f">Ogre::GpuSharedParameters::removeConstantDefinition</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a constant definition from this shared set of parameters. </p>

</div>
</div>
<a class="anchor" id="ab74ba6dc445146e3207a3b3910f43ef6"></a><!-- doxytag: member="Ogre::GpuSharedParameters::setNamedConstant" ref="ab74ba6dc445146e3207a3b3910f43ef6" args="(const String &amp;name, Real val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#ab74ba6dc445146e3207a3b3910f43ef6">Ogre::GpuSharedParameters::setNamedConstant</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Sets a single value constant floating-point parameter to the program. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Different types of GPU programs support different types of constant parameters. For example, it's relatively common to find that vertex programs only support floating point constants, and that fragment programs only support integer (fixed point) parameters. This can vary depending on the program version supported by the graphics card being used. You should consult the documentation for the type of low level program you are using, or alternatively use the methods provided on <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> to determine the options. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Another possible limitation is that some systems only allow constants to be set on certain boundaries, e.g. in sets of 4 values for example. Again, see <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> for full details. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This named option will only work if you are using a parameters object created from a high-level program (<a class="el" href="classOgre_1_1HighLevelGpuProgram.html" title="Abstract base class representing a high-level program (a vertex or fragment program).">HighLevelGpuProgram</a>). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter </td></tr>
    <tr><td class="paramname">val</td><td>The value to set </td></tr>
  </table>
  </dd>
</dl>
 
</div>
</div>
<a class="anchor" id="ad879a04f00ecc9196d19cd9ff38f66f2"></a><!-- doxytag: member="Ogre::GpuSharedParameters::setNamedConstant" ref="ad879a04f00ecc9196d19cd9ff38f66f2" args="(const String &amp;name, int val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#ab74ba6dc445146e3207a3b3910f43ef6">Ogre::GpuSharedParameters::setNamedConstant</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Sets a single value constant floating-point parameter to the program. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Different types of GPU programs support different types of constant parameters. For example, it's relatively common to find that vertex programs only support floating point constants, and that fragment programs only support integer (fixed point) parameters. This can vary depending on the program version supported by the graphics card being used. You should consult the documentation for the type of low level program you are using, or alternatively use the methods provided on <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> to determine the options. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Another possible limitation is that some systems only allow constants to be set on certain boundaries, e.g. in sets of 4 values for example. Again, see <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> for full details. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This named option will only work if you are using a parameters object created from a high-level program (<a class="el" href="classOgre_1_1HighLevelGpuProgram.html" title="Abstract base class representing a high-level program (a vertex or fragment program).">HighLevelGpuProgram</a>). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter </td></tr>
    <tr><td class="paramname">val</td><td>The value to set </td></tr>
  </table>
  </dd>
</dl>
 
</div>
</div>
<a class="anchor" id="a6f0dd794c7a3618f59e4a86bd8ee03d5"></a><!-- doxytag: member="Ogre::GpuSharedParameters::setNamedConstant" ref="a6f0dd794c7a3618f59e4a86bd8ee03d5" args="(const String &amp;name, const Vector4 &amp;vec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#ab74ba6dc445146e3207a3b3910f43ef6">Ogre::GpuSharedParameters::setNamedConstant</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>vec</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Sets a single value constant floating-point parameter to the program. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Different types of GPU programs support different types of constant parameters. For example, it's relatively common to find that vertex programs only support floating point constants, and that fragment programs only support integer (fixed point) parameters. This can vary depending on the program version supported by the graphics card being used. You should consult the documentation for the type of low level program you are using, or alternatively use the methods provided on <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> to determine the options. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Another possible limitation is that some systems only allow constants to be set on certain boundaries, e.g. in sets of 4 values for example. Again, see <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> for full details. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This named option will only work if you are using a parameters object created from a high-level program (<a class="el" href="classOgre_1_1HighLevelGpuProgram.html" title="Abstract base class representing a high-level program (a vertex or fragment program).">HighLevelGpuProgram</a>). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter </td></tr>
    <tr><td class="paramname">val</td><td>The value to set </td></tr>
  </table>
  </dd>
</dl>
 
</div>
</div>
<a class="anchor" id="ab36766c25247163e7f57d515dbec44f3"></a><!-- doxytag: member="Ogre::GpuSharedParameters::setNamedConstant" ref="ab36766c25247163e7f57d515dbec44f3" args="(const String &amp;name, const Vector3 &amp;vec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#ab74ba6dc445146e3207a3b3910f43ef6">Ogre::GpuSharedParameters::setNamedConstant</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vec</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Sets a single value constant floating-point parameter to the program. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Different types of GPU programs support different types of constant parameters. For example, it's relatively common to find that vertex programs only support floating point constants, and that fragment programs only support integer (fixed point) parameters. This can vary depending on the program version supported by the graphics card being used. You should consult the documentation for the type of low level program you are using, or alternatively use the methods provided on <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> to determine the options. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Another possible limitation is that some systems only allow constants to be set on certain boundaries, e.g. in sets of 4 values for example. Again, see <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> for full details. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This named option will only work if you are using a parameters object created from a high-level program (<a class="el" href="classOgre_1_1HighLevelGpuProgram.html" title="Abstract base class representing a high-level program (a vertex or fragment program).">HighLevelGpuProgram</a>). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter </td></tr>
    <tr><td class="paramname">val</td><td>The value to set </td></tr>
  </table>
  </dd>
</dl>
 
</div>
</div>
<a class="anchor" id="ac912b1953576dd4b34e1019019952738"></a><!-- doxytag: member="Ogre::GpuSharedParameters::setNamedConstant" ref="ac912b1953576dd4b34e1019019952738" args="(const String &amp;name, const Matrix4 &amp;m)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#ab74ba6dc445146e3207a3b3910f43ef6">Ogre::GpuSharedParameters::setNamedConstant</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;&#160;</td>
          <td class="paramname"><em>m</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Sets a single value constant floating-point parameter to the program. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Different types of GPU programs support different types of constant parameters. For example, it's relatively common to find that vertex programs only support floating point constants, and that fragment programs only support integer (fixed point) parameters. This can vary depending on the program version supported by the graphics card being used. You should consult the documentation for the type of low level program you are using, or alternatively use the methods provided on <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> to determine the options. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Another possible limitation is that some systems only allow constants to be set on certain boundaries, e.g. in sets of 4 values for example. Again, see <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> for full details. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This named option will only work if you are using a parameters object created from a high-level program (<a class="el" href="classOgre_1_1HighLevelGpuProgram.html" title="Abstract base class representing a high-level program (a vertex or fragment program).">HighLevelGpuProgram</a>). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter </td></tr>
    <tr><td class="paramname">val</td><td>The value to set </td></tr>
  </table>
  </dd>
</dl>
 
</div>
</div>
<a class="anchor" id="a6be98a104e13cbd4c9c550ee88cac6de"></a><!-- doxytag: member="Ogre::GpuSharedParameters::setNamedConstant" ref="a6be98a104e13cbd4c9c550ee88cac6de" args="(const String &amp;name, const Matrix4 *m, size_t numEntries)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#ab74ba6dc445146e3207a3b3910f43ef6">Ogre::GpuSharedParameters::setNamedConstant</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *&#160;</td>
          <td class="paramname"><em>m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>numEntries</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Sets a single value constant floating-point parameter to the program. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Different types of GPU programs support different types of constant parameters. For example, it's relatively common to find that vertex programs only support floating point constants, and that fragment programs only support integer (fixed point) parameters. This can vary depending on the program version supported by the graphics card being used. You should consult the documentation for the type of low level program you are using, or alternatively use the methods provided on <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> to determine the options. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Another possible limitation is that some systems only allow constants to be set on certain boundaries, e.g. in sets of 4 values for example. Again, see <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> for full details. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This named option will only work if you are using a parameters object created from a high-level program (<a class="el" href="classOgre_1_1HighLevelGpuProgram.html" title="Abstract base class representing a high-level program (a vertex or fragment program).">HighLevelGpuProgram</a>). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter </td></tr>
    <tr><td class="paramname">val</td><td>The value to set </td></tr>
  </table>
  </dd>
</dl>
 
</div>
</div>
<a class="anchor" id="ac60bc2d912c0610ff23d03fc53341d0c"></a><!-- doxytag: member="Ogre::GpuSharedParameters::setNamedConstant" ref="ac60bc2d912c0610ff23d03fc53341d0c" args="(const String &amp;name, const float *val, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#ab74ba6dc445146e3207a3b3910f43ef6">Ogre::GpuSharedParameters::setNamedConstant</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const float *&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Sets a single value constant floating-point parameter to the program. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Different types of GPU programs support different types of constant parameters. For example, it's relatively common to find that vertex programs only support floating point constants, and that fragment programs only support integer (fixed point) parameters. This can vary depending on the program version supported by the graphics card being used. You should consult the documentation for the type of low level program you are using, or alternatively use the methods provided on <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> to determine the options. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Another possible limitation is that some systems only allow constants to be set on certain boundaries, e.g. in sets of 4 values for example. Again, see <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> for full details. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This named option will only work if you are using a parameters object created from a high-level program (<a class="el" href="classOgre_1_1HighLevelGpuProgram.html" title="Abstract base class representing a high-level program (a vertex or fragment program).">HighLevelGpuProgram</a>). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter </td></tr>
    <tr><td class="paramname">val</td><td>The value to set </td></tr>
  </table>
  </dd>
</dl>
 
</div>
</div>
<a class="anchor" id="a1d338e448331ece06b476fa1dec4be2a"></a><!-- doxytag: member="Ogre::GpuSharedParameters::setNamedConstant" ref="a1d338e448331ece06b476fa1dec4be2a" args="(const String &amp;name, const double *val, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#ab74ba6dc445146e3207a3b3910f43ef6">Ogre::GpuSharedParameters::setNamedConstant</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const double *&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Sets a single value constant floating-point parameter to the program. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Different types of GPU programs support different types of constant parameters. For example, it's relatively common to find that vertex programs only support floating point constants, and that fragment programs only support integer (fixed point) parameters. This can vary depending on the program version supported by the graphics card being used. You should consult the documentation for the type of low level program you are using, or alternatively use the methods provided on <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> to determine the options. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Another possible limitation is that some systems only allow constants to be set on certain boundaries, e.g. in sets of 4 values for example. Again, see <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> for full details. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This named option will only work if you are using a parameters object created from a high-level program (<a class="el" href="classOgre_1_1HighLevelGpuProgram.html" title="Abstract base class representing a high-level program (a vertex or fragment program).">HighLevelGpuProgram</a>). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter </td></tr>
    <tr><td class="paramname">val</td><td>The value to set </td></tr>
  </table>
  </dd>
</dl>
 
</div>
</div>
<a class="anchor" id="af0f9f6c486e5cf67d966f996e99272b5"></a><!-- doxytag: member="Ogre::GpuSharedParameters::setNamedConstant" ref="af0f9f6c486e5cf67d966f996e99272b5" args="(const String &amp;name, const ColourValue &amp;colour)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#ab74ba6dc445146e3207a3b3910f43ef6">Ogre::GpuSharedParameters::setNamedConstant</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>colour</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Sets a single value constant floating-point parameter to the program. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Different types of GPU programs support different types of constant parameters. For example, it's relatively common to find that vertex programs only support floating point constants, and that fragment programs only support integer (fixed point) parameters. This can vary depending on the program version supported by the graphics card being used. You should consult the documentation for the type of low level program you are using, or alternatively use the methods provided on <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> to determine the options. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Another possible limitation is that some systems only allow constants to be set on certain boundaries, e.g. in sets of 4 values for example. Again, see <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> for full details. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This named option will only work if you are using a parameters object created from a high-level program (<a class="el" href="classOgre_1_1HighLevelGpuProgram.html" title="Abstract base class representing a high-level program (a vertex or fragment program).">HighLevelGpuProgram</a>). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter </td></tr>
    <tr><td class="paramname">val</td><td>The value to set </td></tr>
  </table>
  </dd>
</dl>
 
</div>
</div>
<a class="anchor" id="aa738d63d8a5fdbe3095a73d1824e4497"></a><!-- doxytag: member="Ogre::GpuSharedParameters::setNamedConstant" ref="aa738d63d8a5fdbe3095a73d1824e4497" args="(const String &amp;name, const int *val, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GpuSharedParameters.html#ab74ba6dc445146e3207a3b3910f43ef6">Ogre::GpuSharedParameters::setNamedConstant</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int *&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Sets a single value constant floating-point parameter to the program. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Different types of GPU programs support different types of constant parameters. For example, it's relatively common to find that vertex programs only support floating point constants, and that fragment programs only support integer (fixed point) parameters. This can vary depending on the program version supported by the graphics card being used. You should consult the documentation for the type of low level program you are using, or alternatively use the methods provided on <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> to determine the options. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Another possible limitation is that some systems only allow constants to be set on certain boundaries, e.g. in sets of 4 values for example. Again, see <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> for full details. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This named option will only work if you are using a parameters object created from a high-level program (<a class="el" href="classOgre_1_1HighLevelGpuProgram.html" title="Abstract base class representing a high-level program (a vertex or fragment program).">HighLevelGpuProgram</a>). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter </td></tr>
    <tr><td class="paramname">val</td><td>The value to set </td></tr>
  </table>
  </dd>
</dl>
 
</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a510028acc4c823fbe7c8397939bef87a"></a><!-- doxytag: member="Ogre::GpuSharedParameters::mFloatConstants" ref="a510028acc4c823fbe7c8397939bef87a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Materials.html#ga85c9b7d7f5d35f36d118af514f18ab5b">FloatConstantList</a> <a class="el" href="classOgre_1_1GpuSharedParameters.html#a510028acc4c823fbe7c8397939bef87a">Ogre::GpuSharedParameters::mFloatConstants</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00399">399</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3deb79943262d127bcf12803a6f69fa3"></a><!-- doxytag: member="Ogre::GpuSharedParameters::mFrameLastUpdated" ref="a3deb79943262d127bcf12803a6f69fa3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GpuSharedParameters.html#a3deb79943262d127bcf12803a6f69fa3">Ogre::GpuSharedParameters::mFrameLastUpdated</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Not used when copying data, but might be useful to RS using shared buffers. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00407">407</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3fcb26e0fc6664618c47dc92a98fef77"></a><!-- doxytag: member="Ogre::GpuSharedParameters::mIntConstants" ref="a3fcb26e0fc6664618c47dc92a98fef77" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Materials.html#ga0f6f75258759920f3879eb1b4b590121">IntConstantList</a> <a class="el" href="classOgre_1_1GpuSharedParameters.html#a3fcb26e0fc6664618c47dc92a98fef77">Ogre::GpuSharedParameters::mIntConstants</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00400">400</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="abccf7c5e7a2702a882dd35c1d918e11d"></a><!-- doxytag: member="Ogre::GpuSharedParameters::mName" ref="abccf7c5e7a2702a882dd35c1d918e11d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1GpuSharedParameters.html#abccf7c5e7a2702a882dd35c1d918e11d">Ogre::GpuSharedParameters::mName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00401">401</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae0cd5d95c8643d306350446e54161b33"></a><!-- doxytag: member="Ogre::GpuSharedParameters::mNamedConstants" ref="ae0cd5d95c8643d306350446e54161b33" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GpuNamedConstants.html">GpuNamedConstants</a> <a class="el" href="classOgre_1_1GpuSharedParameters.html#ae0cd5d95c8643d306350446e54161b33">Ogre::GpuSharedParameters::mNamedConstants</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00398">398</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac33a1826531ee727e734d152f8152bc0"></a><!-- doxytag: member="Ogre::GpuSharedParameters::mRenderSystemData" ref="ac33a1826531ee727e734d152f8152bc0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any.html">Any</a> <a class="el" href="classOgre_1_1GpuSharedParameters.html#ac33a1826531ee727e734d152f8152bc0">Ogre::GpuSharedParameters::mRenderSystemData</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00404">404</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa3a4b6b228183e7d3db358cecb784ed4"></a><!-- doxytag: member="Ogre::GpuSharedParameters::mVersion" ref="aa3a4b6b228183e7d3db358cecb784ed4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1GpuSharedParameters.html#aa3a4b6b228183e7d3db358cecb784ed4">Ogre::GpuSharedParameters::mVersion</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Version number of the definitions in this buffer. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00410">410</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
